Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 155462

Summary: tftp-server needs to be able to serve on broadcast
Product: Red Hat Enterprise Linux 4 Reporter: Joshua Jensen <joshua>
Component: tftpAssignee: Maros Barabas <mbarabas>
Status: CLOSED NOTABUG QA Contact: David Lawrence <dkl>
Severity: high Docs Contact:
Priority: medium    
Version: 4.0CC: tao
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-07 17:01:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Joshua Jensen 2005-04-20 15:55:09 UTC
Description of problem:

There doesn't appear to be a component to file a bug against tftp-server itself.

Other tftpd servers can... it would be nice if tftp-server was able to respond
to clients trying to tftp to the broadcast address.

Version-Release number of selected component (if applicable):

RHEL4, tftp-server-0.39-1

Comment 1 Suzanne Hillman 2005-04-20 20:46:48 UTC
Internal RFE bug #155495 entered; will be considered for future release.

Comment 3 Radek Vokal 2006-03-15 15:52:28 UTC
Sorry it took some time to respond. Can you please point me to servers which
support broadcast? How can I test broadcast reponses?

Comment 4 Joshua Jensen 2006-03-15 18:25:06 UTC
I believe atftp supports broadcast/multicast:
http://freshmeat.net/projects/atftp/

Comment 7 Joshua Jensen 2006-07-06 16:41:23 UTC
I have only had one request from one of my end users for this feature.  If this
never happens it won't hurt my feelings.  On the other hand, if it is time to
switch tftp servers anyway, so be it.

Comment 8 Jan Cholasta 2006-07-08 13:18:37 UTC
After a bit of research I doubt it's worth the effort to implement multicasting
(RFC2090 and/or PXE mtftp) in tftp, the code was created without multicasting in
mind and it would need complete rewrite of some parts of the code. Better use atftp.

Comment 10 Daniel Riek 2006-09-12 14:24:24 UTC
This can not be done in RHEL5 and 4.5. Although I agree that it should be done,
we have to move it to 4.6 as it has to happen in the RHEL5 stream first.

Comment 11 Joshua Jensen 2006-10-29 01:55:48 UTC
Come to think of it, this isn't that important

Comment 12 Joshua Jensen 2006-11-06 03:14:35 UTC
Feel free to close